ctools - Feature #1646

Write documentation section: Analysis of IACT data
01/15/2016 02:57 PM - Mayer Michael

Status: Closed Start date: 02/26/2016
Priority: Normal Due date:

Assigned To: Mayer Michael % Done: 100%
Category: Estimated time: 0.00 hour
Target version: 1.1.0

Description

For the moment, documentation of running a ctools analysis, e.g. with HESS data is internal and rather sparse.
We should add a full user documentation and step-by-step guide to run IACT data analysis. The guide should cover the following
parts:

e Download IACT data
¢ Inspect IACT data options

Create observation lists (csfindobs)

Create observation XML files (csiactobs)

Create background model XML files (csiactobs)

Inspect model XML files (csmodelinfo)

Inspect observation XML files (csobsinfo)

Run ctselect and properly apply cuts (e.g energy threshold)

Correctly produce data products for stacked analysis (ctbin, ctexpcube, ctpsfcube, ctbkgcube)

Run ctlike with and without energy dispersion

Run several higher level scripts to produce output: (csspec, cslightcrv, csresmap, ctbutterfly, cttsmap, ...)
Indicate location of example plotting scripts

History

#1 - 02/19/2016 08:56 AM - Mayer Michael

- File tableofcontents.png added

- Assigned To set to Mayer Michael

- % Done changed from 0 to 40

The documentation is being written on branch 1646-write-iact-docs.
It is progressing well. Here is a screenshot of the current table of contents. Feedback welcome smile.png
Analysis using current IACT data

& Copying LACT data
o Before you start
o Mount remote file system
o Copy data
o Copy only a subset of the data
e Troubleshooting
e Analysing IACT data
o Check avallable FITS production
o Find observations
o Create an observation list
o Run ctselect
s Unbinned analysis
o Binned analysis
& High level analysis tools for IACT data
o Inspecting observation definition files
o Inspecting model XML files
e Compute upper limic
o Compute asymmetric emors
e Compute spectral points
o Compute light curves
o Compute a residual map
o Compute 3 test statistics {TS) map
s Compute flux maps
e Simulating ACT data
Simulations for a specific observation container
Simulating ebservation time for a given set of |RFs
Create pull distributions
Visualise pull distributions
Create sensitiviy curve
Visualise sensitivity curves
Tricks and FAQs

Visualise observations

Visualise models

Create count map with one energy bin

Plat zenith angle distribution of observations
Split TS map computation

Accessing fit parameters in python
Manipulate models in python

Creating a python analysis pipeline

* Tip

oooOCOOOOI|n OODOOOO
#2 - 02/19/2016 10:17 AM - KnddlIseder Jiirgen

This is already an impressive table of contents!
| was wondering whether you want to add a section about stacked analysis, or is this covered already by the binned analysis?

| also see that there is no section about general model fitting (e.g. determining spectral parameters of a model, or th position and size of a source).

#3 - 02/19/2016 10:25 AM - Mayer Michael

This is already an impressive table of contents!

Thanks, | believe it will simplify the users life if we give a lot of details here.

| was wondering whether you want to add a section about stacked analysis, or is this covered already by the binned analysis?

Yes, it is probably just a vocabulary thing. In my view a binned analysis is always also stacked. Therefore, in the binned analysis section, only stacked
analysis is explained :). | will modify the wording to call it stacked analysis.

| also see that there is no section about general model fitting (e.g. determining spectral parameters of a model, or th position and size of a
source).

In the unbinned and "binned" analysis sections, | basically explain how to run ctlike. But you are right, | should probably get into more detail regarding
the options in model fitting (e.g. tscalc=1). | could add a section "Create a model XML file" and link to the docs of the general models and add some
information on the user options. Is that what you mean?

#4 - 02/19/2016 11:10 AM - Knédlseder Jiirgen
user#77 wrote:
In the unbinned and "binned" analysis sections, | basically explain how to run ctlike. But you are right, | should probably get into more detail

regarding the options in model fitting (e.g. tscalc=1). | could add a section "Create a model XML file" and link to the docs of the general models
and add some information on the user options. Is that what you mean?
Ok, it is fine to have the model fitting in the unbinned and binned sections. Just wanted to make sure that it's somewhere.

#5 - 02/24/2016 10:58 PM - Mayer Michael
- % Done changed from 40 to 60

#6 - 02/26/2016 01:03 AM - Mayer Michael
- Status changed from New to Pull request
- Target version set to 1.1.0

- Start date set to 02/26/2016

- % Done changed from 60 to 100

| have added all the files and filled all the sections shown above. The new documentation part is available on branch 1646-write-iact-docs.
| am happy for any feedback about it. | am sure | hid a lot of typos and errors smile.png

Note that (as always) | have also added some minor updates and improvements to some csiact-cscripts.

#7 - 02/27/2016 12:51 AM - Knddlseder Jiirgen

- Status changed from Pull request to Closed

I merged in the code. It's in devel now.
| started also reading and did some minor typo corrections.

One comment | have is that some of the documentation copies quite some information from other places (for example the stacked analysis is
described at http://cta.irap.omp.eu/ctools/user_manual/getting_started/beyond_stacked.html). It would be better to refer to the existing sections, and
only add additional information that is necessary for IACT analysis. Otherwise we duplicate the documentation, and maintenance of the material will
become difficult.

#8 - 02/27/2016 08:51 AM - Mayer Michael

| merged in the code. It's in devel now. | started also reading and did some minor typo corrections.

Thanks for merging and correcting the typos.

One comment | have is that some of the documentation copies quite some information from other places (for example the stacked analysis is
described at http://cta.irap.omp.eu/ctools/user_manual/getting_started/beyond_stacked.html). It would be better to refer to the existing sections,
and only add additional information that is necessary for IACT analysis. Otherwise we duplicate the documentation, and maintenance of the
material will become difficult.

| completely agree. | actually wasn't aware of that section and just wrote down the workflow one by one. We should definitely remove that passage
and link to the existing one.
#9 - 02/27/2016 09:15 AM - Knddlseder Jiirgen

Okay, when | will find some time | will go over the text and modify it to reduce duplications. | will keep this in a separate branch so that you can cross
check it before making it public.

#10 - 02/27/2016 09:16 AM - Knddliseder Jirgen
- Status changed from Closed to In Progress

- % Done changed from 100 to 80

Put this back into "In Progress"

#11 - 06/30/2016 06:05 PM - KnédIseder Jirgen

Are you planning to do anything about this issue before release 1.1.0? If not | would change the target version to the next release.

#12 - 07/01/2016 10:17 AM - Mayer Michael

Yes indeed, | wanted to go over the sections today and add some information about energy dispersion in stacked analysis. This seems to be related
to #1811.

#13 - 07/01/2016 01:15 PM - Mayer Michael

- Status changed from In Progress to Pull request

| have added a section of energy dispersion in stacked IACT analysis and also improved the documentation a little bit in other places of IACT
analysis.

The changes are on branch 1646-add-doc-for-iact-edisp .

It is still open to refer to the existing sections. However, | am inclined to keep it like this since users might not want to jump back and forth between
documentation sections and just work through e.g. the IACT part.

In addition, I'd also like to have some more documentation about the csworkflow tool (in particular the XML format) but | guess | won't have time
before 1.1.0 for this.

#14 - 07/01/2016 03:55 PM - KnédlIseder Jiirgen
Merged into devel.
| propose to keep it like this for the next release, but we really should simplify as much as possible the User documentation and avoid "code"

duplication. It will just be a nightmare to maintain this. Already now we have a quite extended documentation code base, and we should think about
how to make this slimmer, focusing on the essential things.

| was thinking for example to split the analysis page into subpages which are smaller (the page is now very long), and this would be the occasion to
simply link in the ctools description. A reader could then still see this as a linearly connected text, but it would have the advantage of avoiding
duplications.

#15 - 07/01/2016 03:55 PM - Knddlseder Jiirgen
- Status changed from Pull request to Closed

- % Done changed from 80 to 100
#16 - 07/05/2016 10:44 AM - Mayer Michael

| have added some explanations about cstsmapsplit to the tips and tricks section. The modifications are on branch 1646-add-cstssplit-to-docs. It
would be nice if this could still go in 1.1.0.

For 1.2.0, we should make an issue with a reminder to refactor the documentation (this could also be a task for the coding sprint).

#17 - 07/11/2016 12:36 PM - KnddlIseder Jiirgen

Yes, | had planned to move this in the release. I'm still in the process to test the release procedure, now the following commands should work:

make dist
make distcheck
make installcheck

The first produces a release tarball, the second checks that tarball and the third checks an installed version of GammalLib and ctools.

#18 - 07/11/2016 12:40 PM - Mayer Michael

Sounds like a great way to simplify the release procedure.

#19 - 07/18/2016 10:37 PM - KnddlIseder Jiirgen

user#77 wrote:

| have added some explanations about cstsmapsplit to the tips and tricks section. The modifications are on branch 1646-add-cstssplit-to-docs. It
would be nice if this could still go in 1.1.0.

For 1.2.0, we should make an issue with a reminder to refactor the documentation (this could also be a task for the coding sprint).

Merged branch 1646-add-cstssplit-to-docs into devel.
